Bug 734169

Summary: Updated syslinux theme for Fedora 16
Product: [Fedora] Fedora Reporter: Máirín Duffy <duffy>
Component: fedora-logosAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: awilliam, dennis, notting, pjones, tcallawa, tflink
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedNTH
Fixed In Version: fedora-logos-16.0.2-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 03:03:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 669120, 734170, 734173    
Bug Blocks: 713565    

Description Máirín Duffy 2011-08-29 15:40:58 UTC
Description of problem:

This bug is to track the various changes needed to update syslinux in Fedora 16 with a fresh look & feel.

(See related blog post http://blog.linuxgrrl.com/2010/11/18/fedora-installation-user-experience-improvements-syslinux/ )

Thus far this change will require the following:

- For Live media, updating imagecreate/live.py to generate the new theme values ( see http://git.fedorahosted.org/git/?p=livecd;a=blob;f=imgcreate/live.py;h=6ad9c5b79626611df49a2b1769dff0f3092c5ae9;hb=HEAD ) ... eventually it would be nice for this to have a templating system

- For DVDs, updating the template lorax uses

- Talking to rel-eng to make sure they pull in the new syslinux since they pull the version they want to use into buildroot such that changes don't automatically get used unless they change something on their end.

Comment 1 Adam Williamson 2011-09-09 18:37:19 UTC
this is a tracker, but marking as AcceptedNTH so it doesn't keep coming up on the proposed list.

Comment 2 Adam Williamson 2011-09-16 04:46:27 UTC
so, RC1 was a bit of a swing-and-a-miss: the bootloader background is plain black on all lives and the DVD.

Comment 3 Tim Flink 2011-09-23 15:53:26 UTC
This should be fixed in fedora-logos-16.0.2-1.fc16 [1], setting to ON_QA. Note that lorax-16.4.4-1 [2] is NEEDED with the fedora-logos update else image composition will fail (see #739345 for details).

[1] https://admin.fedoraproject.org/updates/FEDORA-2011-12683
[2] https://admin.fedoraproject.org/updates/lorax-16.4.4-1.fc16

Comment 4 Fedora End Of Life 2013-01-17 02:14:27 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-14 03:03:52 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.